// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: mongodb.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	descriptorpb "google.golang.org/protobuf/types/descriptorpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type MongoDbModel struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Collection *string `protobuf:"bytes,1,opt,name=collection,proto3,oneof" json:"collection,omitempty"`
	Path       *string `protobuf:"bytes,2,opt,name=path,proto3,oneof" json:"path,omitempty"`
}

func (x *MongoDbModel) Reset() {
	*x = MongoDbModel{}
	if protoimpl.UnsafeEnabled {
		mi := &file_mongodb_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MongoDbModel) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MongoDbModel) ProtoMessage() {}

func (x *MongoDbModel) ProtoReflect() protoreflect.Message {
	mi := &file_mongodb_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MongoDbModel.ProtoReflect.Descriptor instead.
func (*MongoDbModel) Descriptor() ([]byte, []int) {
	return file_mongodb_proto_rawDescGZIP(), []int{0}
}

func (x *MongoDbModel) GetCollection() string {
	if x != nil && x.Collection != nil {
		return *x.Collection
	}
	return ""
}

func (x *MongoDbModel) GetPath() string {
	if x != nil && x.Path != nil {
		return *x.Path
	}
	return ""
}

var file_mongodb_proto_extTypes = []protoimpl.ExtensionInfo{
	{
		ExtendedType:  (*descriptorpb.MessageOptions)(nil),
		ExtensionType: (*MongoDbModel)(nil),
		Field:         50002,
		Name:          "next_gen.mongodb_model",
		Tag:           "bytes,50002,opt,name=mongodb_model",
		Filename:      "mongodb.proto",
	},
}

// Extension fields to descriptorpb.MessageOptions.
var (
	// optional next_gen.MongoDbModel mongodb_model = 50002;
	E_MongodbModel = &file_mongodb_proto_extTypes[0]
)

var File_mongodb_proto protoreflect.FileDescriptor

var file_mongodb_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x6d, 0x6f, 0x6e, 0x67, 0x6f, 0x64, 0x62, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x08, 0x6e, 0x65, 0x78, 0x74, 0x5f, 0x67, 0x65, 0x6e, 0x1a, 0x20, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x64, 0x0a, 0x0c, 0x4d,
	0x6f, 0x6e, 0x67, 0x6f, 0x44, 0x62, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x23, 0x0a, 0x0a, 0x63,
	0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48,
	0x00, 0x52, 0x0a, 0x63, 0x6f, 0x6c, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x88, 0x01, 0x01,
	0x12, 0x17, 0x0a, 0x04, 0x70, 0x61, 0x74, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01,
	0x52, 0x04, 0x70, 0x61, 0x74, 0x68, 0x88, 0x01, 0x01, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x63, 0x6f,
	0x6c, 0x6c, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x07, 0x0a, 0x05, 0x5f, 0x70, 0x61, 0x74,
	0x68, 0x3a, 0x61, 0x0a, 0x0d, 0x6d, 0x6f, 0x6e, 0x67, 0x6f, 0x64, 0x62, 0x5f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x1f, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x4f, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x18, 0xd2, 0x86, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x6e, 0x65,
	0x78, 0x74, 0x5f, 0x67, 0x65, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x67, 0x6f, 0x44, 0x62, 0x4d, 0x6f,
	0x64, 0x65, 0x6c, 0x52, 0x0c, 0x6d, 0x6f, 0x6e, 0x67, 0x6f, 0x64, 0x62, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x88, 0x01, 0x01, 0x42, 0x38, 0x5a, 0x36, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x67, 0x65, 0x6e, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x6e, 0x65, 0x78,
	0x74, 0x2d, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x67,
	0x69, 0x74, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x3b, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_mongodb_proto_rawDescOnce sync.Once
	file_mongodb_proto_rawDescData = file_mongodb_proto_rawDesc
)

func file_mongodb_proto_rawDescGZIP() []byte {
	file_mongodb_proto_rawDescOnce.Do(func() {
		file_mongodb_proto_rawDescData = protoimpl.X.CompressGZIP(file_mongodb_proto_rawDescData)
	})
	return file_mongodb_proto_rawDescData
}

var file_mongodb_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_mongodb_proto_goTypes = []interface{}{
	(*MongoDbModel)(nil),                // 0: next_gen.MongoDbModel
	(*descriptorpb.MessageOptions)(nil), // 1: google.protobuf.MessageOptions
}
var file_mongodb_proto_depIdxs = []int32{
	1, // 0: next_gen.mongodb_model:extendee -> google.protobuf.MessageOptions
	0, // 1: next_gen.mongodb_model:type_name -> next_gen.MongoDbModel
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	1, // [1:2] is the sub-list for extension type_name
	0, // [0:1] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_mongodb_proto_init() }
func file_mongodb_proto_init() {
	if File_mongodb_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_mongodb_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MongoDbModel); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_mongodb_proto_msgTypes[0].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_mongodb_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 1,
			NumServices:   0,
		},
		GoTypes:           file_mongodb_proto_goTypes,
		DependencyIndexes: file_mongodb_proto_depIdxs,
		MessageInfos:      file_mongodb_proto_msgTypes,
		ExtensionInfos:    file_mongodb_proto_extTypes,
	}.Build()
	File_mongodb_proto = out.File
	file_mongodb_proto_rawDesc = nil
	file_mongodb_proto_goTypes = nil
	file_mongodb_proto_depIdxs = nil
}
